org.apache.olingo.netty.server.core

## Class ODataNettyImpl

- java.lang.Object
- - org.apache.olingo.server.api.OData
  - - org.apache.olingo.netty.server.api.ODataNetty
    - - org.apache.olingo.netty.server.core.ODataNettyImpl

-     public class ODataNettyImpl
      extends ODataNetty

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataNettyImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DebugResponseHelper` | `createDebugResponseHelper(String debugFormat)` Creates a DebugResponseHelper for the given debugFormat.
    `ODataDeserializer` | `createDeserializer(ContentType contentType)` Creates a new deserializer object for reading content in the specified format.
    `ODataDeserializer` | `createDeserializer(ContentType contentType, List<String> versions)` Creates a new deserializer object for reading content in the specified format.
    `ODataDeserializer` | `createDeserializer(ContentType contentType, ServiceMetadata metadata)` Creates a new deserializer object for reading content in the specified format.
    `ODataDeserializer` | `createDeserializer(ContentType contentType, ServiceMetadata metadata, List<String> versions)` Creates a new deserializer object for reading content in the specified format.
    `EdmAssistedSerializer` | `createEdmAssistedSerializer(ContentType contentType)` Creates a new serializer object capable of working without EDM information for rendering content in the specified format.
    `EdmAssistedSerializer` | `createEdmAssistedSerializer(ContentType contentType, List<String> versions)` Creates a new serializer object capable of working without EDM information for rendering content in the specified format.
    `EdmDeltaSerializer` | `createEdmDeltaSerializer(ContentType contentType, List<String> versions)` Creates a new serializer object capable of working without EDM information for rendering delta content in the specified format.
    `ETagHelper` | `createETagHelper()` Creates a new ETag helper object for performing ETag-related tasks.
    `FixedFormatDeserializer` | `createFixedFormatDeserializer()` Creates a new deserializer object for reading content in a fixed format, e.g., for binary input.
    `FixedFormatSerializer` | `createFixedFormatSerializer()` Creates a new serializer object for rendering content in a fixed format, e.g., for binary output or multipart/mixed outpu.
    `ODataHttpHandler` | `createHandler(ServiceMetadata serviceMetadata)` Creates a new ODataHttpHandler for handling OData requests in an HTTP context.
    `ODataNettyHandler` | `createNettyHandler(ServiceMetadata serviceMetadata)` Creates a new ODataNettyHandler for handling OData requests in an HTTP context.
    `Preferences` | `createPreferences(Collection<String> preferHeaders)` Creates a new Preferences object out of Prefer HTTP request headers.
    `EdmPrimitiveType` | `createPrimitiveTypeInstance(EdmPrimitiveTypeKind kind)` Creates a primitive-type instance.
    `ODataHandler` | `createRawHandler(ServiceMetadata serviceMetadata)` Creates a new ODataHandler for handling OData requests.
    `ODataSerializer` | `createSerializer(ContentType contentType)` Creates a new serializer object for rendering content in the specified format.
    `ODataSerializer` | `createSerializer(ContentType contentType, List<String> versions)` Creates a new serializer object for rendering content in the specified format.
    `ServiceMetadata` | `createServiceMetadata(CsdlEdmProvider edmProvider, List<EdmxReference> references)` Creates a metadata object for this service.
    `ServiceMetadata` | `createServiceMetadata(CsdlEdmProvider edmProvider, List<EdmxReference> references, ServiceMetadataETagSupport serviceMetadataETagSupport)` Creates a metadata object for this service.
    `UriHelper` | `createUriHelper()` Creates a new URI helper object for performing URI-related tasks.

    - ### Methods inherited from class org.apache.olingo.netty.server.api.ODataNetty

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ODataNettyImpl

          public ODataNettyImpl()

  - ### Method Detail

    - #### createNettyHandler

          public ODataNettyHandler createNettyHandler(ServiceMetadata serviceMetadata)

      Description copied from class: `ODataNetty`
      Creates a new ODataNettyHandler for handling OData requests in an HTTP context.
      Specified by:
        `createNettyHandler` in class `ODataNetty`
      Parameters:
        `serviceMetadata` - - metadata object required to handle an OData request

    - #### createSerializer

          public ODataSerializer createSerializer(ContentType contentType)
                                           throws SerializerException

      Description copied from class: `OData`
      Creates a new serializer object for rendering content in the specified format. Serializers are used in Processor implementations.
      Specified by:
        `createSerializer` in class `OData`
      Parameters:
        `contentType` - any format supported by Olingo (XML, JSON ...)
      Throws:
        `SerializerException`

    - #### createSerializer

          public ODataSerializer createSerializer(ContentType contentType,
                                                  List<String> versions)
                                           throws SerializerException

      Description copied from class: `OData`
      Creates a new serializer object for rendering content in the specified format. Serializers are used in Processor implementations.
      Specified by:
        `createSerializer` in class `OData`
      Parameters:
        `contentType` - any format supported by Olingo (XML, JSON ...)
        `versions` - any v4 version supported by Olingo (4.0, 4.01 ...)
      Throws:
        `SerializerException`

    - #### createFixedFormatSerializer

          public FixedFormatSerializer createFixedFormatSerializer()

      Description copied from class: `OData`
      Creates a new serializer object for rendering content in a fixed format, e.g., for binary output or multipart/mixed outpu. Serializers are used in Processor implementations.
      Specified by:
        `createFixedFormatSerializer` in class `OData`

    - #### createFixedFormatDeserializer

          public FixedFormatDeserializer createFixedFormatDeserializer()

      Description copied from class: `OData`
      Creates a new deserializer object for reading content in a fixed format, e.g., for binary input. Deserializers are used in Processor implementations.
      Specified by:
        `createFixedFormatDeserializer` in class `OData`

    - #### createHandler

          public ODataHttpHandler createHandler(ServiceMetadata serviceMetadata)

      Description copied from class: `OData`
      Creates a new ODataHttpHandler for handling OData requests in an HTTP context.
      Specified by:
        `createHandler` in class `OData`
      Parameters:
        `serviceMetadata` - - metadata object required to handle an OData request

    - #### createRawHandler

          public ODataHandler createRawHandler(ServiceMetadata serviceMetadata)

      Description copied from class: `OData`
      Creates a new ODataHandler for handling OData requests.
      Specified by:
        `createRawHandler` in class `OData`
      Parameters:
        `serviceMetadata` - - metadata object required to handle an OData request

    - #### createServiceMetadata

          public ServiceMetadata createServiceMetadata(CsdlEdmProvider edmProvider,
                                                       List<EdmxReference> references)

      Description copied from class: `OData`
      Creates a metadata object for this service.
      Specified by:
        `createServiceMetadata` in class `OData`
      Parameters:
        `edmProvider` - a custom or default implementation for creating metadata
        `references` - list of edmx references
      Returns:
        a service metadata implementation

    - #### createServiceMetadata

          public ServiceMetadata createServiceMetadata(CsdlEdmProvider edmProvider,
                                                       List<EdmxReference> references,
                                                       ServiceMetadataETagSupport serviceMetadataETagSupport)

      Description copied from class: `OData`
      Creates a metadata object for this service.
      Specified by:
        `createServiceMetadata` in class `OData`
      Parameters:
        `edmProvider` - a custom or default implementation for creating metadata
        `references` - list of edmx references
      Returns:
        a service metadata implementation

    - #### createUriHelper

          public UriHelper createUriHelper()

      Description copied from class: `OData`
      Creates a new URI helper object for performing URI-related tasks. It can be used in Processor implementations.
      Specified by:
        `createUriHelper` in class `OData`

    - #### createDeserializer

          public ODataDeserializer createDeserializer(ContentType contentType)
                                               throws DeserializerException

      Description copied from class: `OData`
      Creates a new deserializer object for reading content in the specified format. Deserializers are used in Processor implementations.
      Specified by:
        `createDeserializer` in class `OData`
      Parameters:
        `contentType` - any content type supported by Olingo (XML, JSON ...)
      Throws:
        `DeserializerException`

    - #### createDeserializer

          public ODataDeserializer createDeserializer(ContentType contentType,
                                                      ServiceMetadata metadata)
                                               throws DeserializerException

      Description copied from class: `OData`
      Creates a new deserializer object for reading content in the specified format. Deserializers are used in Processor implementations.
      Specified by:
        `createDeserializer` in class `OData`
      Parameters:
        `contentType` - any content type supported by Olingo (XML, JSON ...)
        `metadata` - ServiceMetada of the service
      Throws:
        `DeserializerException`

    - #### createPrimitiveTypeInstance

          public EdmPrimitiveType createPrimitiveTypeInstance(EdmPrimitiveTypeKind kind)

      Description copied from class: `OData`
      Creates a primitive-type instance.
      Specified by:
        `createPrimitiveTypeInstance` in class `OData`
      Parameters:
        `kind` - the kind of the primitive type
      Returns:
        an `EdmPrimitiveType` instance for the type kind

    - #### createETagHelper

          public ETagHelper createETagHelper()

      Description copied from class: `OData`
      Creates a new ETag helper object for performing ETag-related tasks. It can be used in Processor implementations.
      Specified by:
        `createETagHelper` in class `OData`

    - #### createPreferences

          public Preferences createPreferences(Collection<String> preferHeaders)

      Description copied from class: `OData`
      Creates a new Preferences object out of Prefer HTTP request headers. It can be used in Processor implementations.
      Specified by:
        `createPreferences` in class `OData`

    - #### createDebugResponseHelper

          public DebugResponseHelper createDebugResponseHelper(String debugFormat)

      Description copied from class: `OData`
      Creates a DebugResponseHelper for the given debugFormat. If the format is not supported no exception is thrown. Instead we give back the implementation for the JSON format.
      Specified by:
        `createDebugResponseHelper` in class `OData`
      Parameters:
        `debugFormat` - format to be used
      Returns:
        a debug-response helper

    - #### createEdmAssistedSerializer

          public EdmAssistedSerializer createEdmAssistedSerializer(ContentType contentType)
                                                            throws SerializerException

      Description copied from class: `OData`
      Creates a new serializer object capable of working without EDM information for rendering content in the specified format.
      Specified by:
        `createEdmAssistedSerializer` in class `OData`
      Parameters:
        `contentType` - a content type supported by Olingo
      Throws:
        `SerializerException`

    - #### createEdmAssistedSerializer

          public EdmAssistedSerializer createEdmAssistedSerializer(ContentType contentType,
                                                                   List<String> versions)
                                                            throws SerializerException

      Description copied from class: `OData`
      Creates a new serializer object capable of working without EDM information for rendering content in the specified format.
      Specified by:
        `createEdmAssistedSerializer` in class `OData`
      Parameters:
        `contentType` - a content type supported by Olingo
        `versions` - Odata Version v4 or v4.01
      Throws:
        `SerializerException`

    - #### createEdmDeltaSerializer

          public EdmDeltaSerializer createEdmDeltaSerializer(ContentType contentType,
                                                             List<String> versions)
                                                      throws SerializerException

      Description copied from class: `OData`
      Creates a new serializer object capable of working without EDM information for rendering delta content in the specified format.
      Specified by:
        `createEdmDeltaSerializer` in class `OData`
      Parameters:
        `contentType` - a content type supported by Olingo
      Throws:
        `SerializerException`

    - #### createDeserializer

          public ODataDeserializer createDeserializer(ContentType contentType,
                                                      List<String> versions)
                                               throws DeserializerException

      Description copied from class: `OData`
      Creates a new deserializer object for reading content in the specified format. Deserializers are used in Processor implementations.
      Specified by:
        `createDeserializer` in class `OData`
      Parameters:
        `contentType` - any content type supported by Olingo (XML, JSON ...)
      Throws:
        `DeserializerException`

    - #### createDeserializer

          public ODataDeserializer createDeserializer(ContentType contentType,
                                                      ServiceMetadata metadata,
                                                      List<String> versions)
                                               throws DeserializerException

      Description copied from class: `OData`
      Creates a new deserializer object for reading content in the specified format. Deserializers are used in Processor implementations.
      Specified by:
        `createDeserializer` in class `OData`
      Parameters:
        `contentType` - any content type supported by Olingo (XML, JSON ...)
        `metadata` - ServiceMetada of the service
      Throws:
        `DeserializerException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.